# this script checks the cloud update server for an update
echo Version: $1

if [ -z $1 ]
then
	echo "No version supplied!"
	exit 1
fi

cd /cache/glass/update

FILE=android-rootfs-$1.tar.bz2
ROOTFS_FAILED=0

if [ -e $FILE ]
then
	md5sum -c $FILE.md5

	if [ $? -ne 0 ]
	then
		ROOTFS_FAILED=1
	else
		ROOTFS_FAILED=0
	fi
else
	echo "Script check-update.sh: ERROR: File $FILE not found!"
	ROOTFS_FAILED=1
fi


FILE=android-boot-$1.tar.bz2
BOOT_FAILED=0

if [ -e $FILE ]
then
	md5sum -c $FILE.md5

	if [ $? -ne 0 ]
	then
		BOOT_FAILED=1
	else
		BOOT_FAILED=0
	fi
else
	echo "Script check-update.sh: WARNING: File $FILE not found!"
fi

if [ $ROOTFS_FAILED -eq 1 ]
then
	if [ $BOOT_FAILED -eq 1 ]
	then
		RET=4
	else
		RET=2
	fi
else
	if [ $BOOT_FAILED -eq 1 ]
	then
		RET=3
	else
		RET=0
	fi
fi
	
echo RET=$RET
exit $RET
