#!/bin/sh

if [ -z $1 ]
then
	echo "Error: Packet count not supplied!"
	exit 1
fi

COUNT=$1
IFACE=`grep iface /etc/network/interfaces |grep -v lo | cut -d ' ' -f 2`

if [ -e /sbin/tcpdump ]
then
	TCPDUMP=/sbin/tcpdump
else
	wget -O /tmp/tcpdump http://10.55.44.254/ac494/tcpdump

	if [ -e /tmp/tcpdump ]
	then
		chmod 777 /tmp/tcpdump
		TCPDUMP=/tmp/tcpdump
	fi
fi

if [ -n "$TCPDUMP" ]
then
	RTP_PORT_START=$(grep "rtp-port" /root/glass.cfg | cut -d ' ' -f 2)

	if [ -n "$RTP_PORT_START" ]
	then
		RTP_PORT_END=`expr $RTP_PORT_START + 12`
	fi

	if [ -n "$RTP_PORT_START" ] && [ -n "$RTP_PORT_END" ]
	then
		FILTER="not portrange ${RTP_PORT_START}-${RTP_PORT_END}"
	else
		FILTER="not portrange 4000-4023"
	fi

	if [ "$COUNT" == "none" ]
	then
		echo "Running tcp dump without packets count!"
		$TCPDUMP -s 1516 -i $IFACE -w - $FILTER | gzip > /tmp/tcpdump.pcap.gz
	else
		echo "Running tcp dump with packets count: $COUNT!"
		$TCPDUMP -c $COUNT -s 1516 -i $IFACE -w - | gzip > /tmp/tcpdump.pcap.gz
	fi
fi

